package com.agileboot.common.enums.common;

import com.agileboot.common.enums.BasicEnum;

/**
 * 系统配置，对应 sys_config 表的 config_key 字段。
 *
 * @author valarchie
 */
public enum ConfigKeyEnum implements BasicEnum<String> {

    INIT_PASSWORD("sys.user.initPassword", "初始密码"),
    CAPTCHA("sys.account.captchaOnOff", "验证码开关"),
    REGISTER("sys.account.registerUser", "注册开放功能");

    private final String value;
    private final String description;

    ConfigKeyEnum(String value, String description) {
        this.value = value;
        this.description = description;
    }

    @Override
    public String getValue() {
        return value;
    }

    @Override
    public String description() {
        return description;
    }

}
